Get an Observability project

Base URL
https://api.elastic-cloud.com
  • GET /api/v1/serverless/projects/observability/{id}
Auth

Path parameters

id string · pattern: ^[a-z0-9]{32}$ required

The ID of the project

Responses

The requested Observability project

application/json
id string · pattern: ^[a-z0-9]{32}$ required

ID of the project.

name string · min length: 1 · max length: 255 required

Descriptive name for a project.

alias string · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ required

A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.

region_id string required

Unique human-readable identifier for a region in Elastic Cloud.

metadata object required

Additional details about the project.

created_at string · format: date-time required

Date and time when the project was created.

created_by string required

ID of the user.

organization_id string required

The Organization ID who owns the project.

suspended_at string · format: date-time

Date and time when the project was suspended.

suspended_reason string

Reason why the project was suspended.

tags map string to string · min properties: 1 · max properties: 64

Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$
system_tags map string to string

System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$
annotations map string to string · min properties: 1 · max properties: 64

Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
cloud_id string required

The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.

type enum required

the type of the project

Values: observability
product_tier enum

the tier of the observability project. The default is "complete" when not specified at creation time.

Values: complete logs_essentials
endpoints object required

The endpoints to access the different apps of the project.

elasticsearch string required

The endpoint to access elasticsearch.

kibana string required

The endpoint to access kibana.

apm string required

The endpoint to access apm.

ingest string required

The endpoint to access the Managed OTLP Endpoint.

Response headers

ETag string
Base URL
https://api.elastic-cloud.com